package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthMatter
* date: 2021-9-7 10:49:11
*/
public class YthMatterEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630982951542L;


    /**
    * 从政务系统来的事项id
    */
    private String tid;

    /**
    * 从政务系统来的事项code
    */
    private String tcode;

    /**
    * 从政务系统来的事项name
    */
    private String tname;

    /**
    * 部门编号
    */
    private String deptcode;

    /**
    * 主题类型
    */
    private String type;

    /**
    * 目录清单编码
    */
    private String dirListCode;

    /**
    * 事项类型名称
    */
    private String eventTypeShow;

    /**
    * 行使层级名称
    */
    private String performHierarchyShow;

    /**
    * 运行系统名称
    */
    private String runSystemShow;

    /**
    * 实施主体性质
    */
    private String performDeptTypeShow;

    /**
    * 法定办结时限
    */
    private String legalTimeLimitShow;

    /**
    * 承诺办结时限
    */
    private String promiseTimeLimitShow;

    /**
    * 联审信息
    */
    private String jointReviewInfoShow;

    /**
    * 联办机构
    */
    private String jointInfoShow;

    /**
    * 办理类型
    */
    private String doThingTypeShow;

    /**
    * 是否收费
    */
    private String isChargesShow;

    /**
    * 服务对象
    */
    private String appoveObjectShow;

    /**
    * 办件类型
    */
    private String appoveTimeLimitShow;

    /**
    * 是否进驻中心
    */
    private String goveServiceCenterShow;

    /**
    * 是否纳入政务服务中心
    */
    private String isGoveCenterShow;

    /**
    * 是否纳入便民服务中心
    */
    private String isConvenientCenterShow;

    /**
    * 公示时限
    */
    private String pubTimeShow;

    /**
    * 认证等级需求
    */
    private String certificationLevelsShow;

    /**
    * 是否网上预约(窗口办
    */
    private String isOnlineSubscribeShow;

    /**
    * 网上支付
    */
    private String isOnlinePayShow;

    /**
    * 物流快递(窗口办理选
    */
    private String isExpressTakeShow;

    /**
    * 物流快递(网上办理选
    */
    private String isExpressTakeOnlineShow;

    /**
    * 咨询电话
    */
    private String cousultingTelephoneShow;

    /**
    * 投诉电话
    */
    private String supervisoryTelephoneShow;

    /**
    * 办公时间
    */
    private String handleTimeShow;

    /**
    * 办公地址
    */
    private String handlePlaceShow;

    /**
    * 节日类型
    */
    private String daysTypeShow;

    /**
    * 是否支持上门收取申请
    */
    private String isDoorTakeShow;

    /**
    * 行业
    */
    private String tradeShow;

    /**
    * 是否支持全省范围就近
    */
    private String isApplyProvinceShow;

    /**
    * 是否支持全省范围就近
    */
    private String isProvinceAcquisitionShow;

    /**
    * 事项来源
    */
    private String eventSourceShow;

    /**
    * 权力来源 
    */
    private String powerSourceShow;

    /**
    * 通办范围 
    */
    private String operatScopeShow;

    /**
    * 审批结果类型
    */
    private String applyresultTypeShow;

    /**
    * 审查类型
    */
    private String typeOfReview;

    /**
    * 实施机构
    */
    private String enforcement;

    /**
    * 委托部门
    */
    private String entrustmentDepartmen;

    /**
    * 服务主题分类
    */
    private String serviceClassification;

    /**
    * 许可数量
    */
    private String licenseNumber;

    /**
    * 通办范围
    */
    private String specialProcedure;

    /**
    * 办事者到办理现场次数
    */
    private Integer number;

    /**
    * 办理查询
    */
    private String inquire;

    /**
    * 办理结果名称
    */
    private String handlingresultNames;

    /**
    * 审批结果样本
    */
    private String sampleApprovalResults;

    /**
    * 排序
    */
    private Integer sort;

    /**
    * 是否样表展示1是 0否
    */
    private Integer mattertype;

    /**
    * 
    */
    private Long clicknum;

    /**
    * 实施主题
    */
    private String performDeptName;

    /**
    * html存储地址
    */
    private String html;

    /**
    * 全债清单类型
    */
    private String eventType;

    /**
    * 
    */
    private Integer shardKey;

    /**
    * 个人1
    */
    private Integer parson;

    /**
    * 法人 1
    */
    private Integer lengal;

    /**
    * 总材料说明
    */
    private String materialRemark;

    /**
    * 网办类型
    */
    private String onlineType;

    /**
    * 事项二维码
    */
    private String codeurl;

    /**
    * 英语事项名
    */
    private String englishName;

    /**
    * 行使方式
    */
    private String applyObject;

    /**
    * 行使方式
    */
    private String isUniteAccept;

    /**
    * 法定办结时限说明
    */
    private String legalTimeLimitInfo;

    /**
    * 承诺办结时限说明
    */
    private String promiseTimeLimitInfo;

    /**
    * 事项状态
    */
    private String valid;

    /**
    * 收费标准及依据
    */
    private String chargesShow;

    /**
    * 是否乡镇 1是
    */
    private Integer istown;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private String createUser;

    public YthMatterEntity(){

    }
    /**
    * 获取 从政务系统来的事项id
    * @return tid
    */
    public String getTid() {
        return this.tid;
    }
    /**
    * 设置 从政务系统来的事项id
    * @param tid
    */
    public void setTid(String tid) {
        this.tid = tid;
    }
    /**
    * 获取 从政务系统来的事项code
    * @return tcode
    */
    public String getTcode() {
        return this.tcode;
    }
    /**
    * 设置 从政务系统来的事项code
    * @param tcode
    */
    public void setTcode(String tcode) {
        this.tcode = tcode;
    }
    /**
    * 获取 从政务系统来的事项name
    * @return tname
    */
    public String getTname() {
        return this.tname;
    }
    /**
    * 设置 从政务系统来的事项name
    * @param tname
    */
    public void setTname(String tname) {
        this.tname = tname;
    }
    /**
    * 获取 部门编号
    * @return deptcode
    */
    public String getDeptcode() {
        return this.deptcode;
    }
    /**
    * 设置 部门编号
    * @param deptcode
    */
    public void setDeptcode(String deptcode) {
        this.deptcode = deptcode;
    }
    /**
    * 获取 主题类型
    * @return type
    */
    public String getType() {
        return this.type;
    }
    /**
    * 设置 主题类型
    * @param type
    */
    public void setType(String type) {
        this.type = type;
    }
    /**
    * 获取 目录清单编码
    * @return dirListCode
    */
    public String getDirListCode() {
        return this.dirListCode;
    }
    /**
    * 设置 目录清单编码
    * @param dirListCode
    */
    public void setDirListCode(String dirListCode) {
        this.dirListCode = dirListCode;
    }
    /**
    * 获取 事项类型名称
    * @return eventTypeShow
    */
    public String getEventTypeShow() {
        return this.eventTypeShow;
    }
    /**
    * 设置 事项类型名称
    * @param eventTypeShow
    */
    public void setEventTypeShow(String eventTypeShow) {
        this.eventTypeShow = eventTypeShow;
    }
    /**
    * 获取 行使层级名称
    * @return performHierarchyShow
    */
    public String getPerformHierarchyShow() {
        return this.performHierarchyShow;
    }
    /**
    * 设置 行使层级名称
    * @param performHierarchyShow
    */
    public void setPerformHierarchyShow(String performHierarchyShow) {
        this.performHierarchyShow = performHierarchyShow;
    }
    /**
    * 获取 运行系统名称
    * @return runSystemShow
    */
    public String getRunSystemShow() {
        return this.runSystemShow;
    }
    /**
    * 设置 运行系统名称
    * @param runSystemShow
    */
    public void setRunSystemShow(String runSystemShow) {
        this.runSystemShow = runSystemShow;
    }
    /**
    * 获取 实施主体性质
    * @return performDeptTypeShow
    */
    public String getPerformDeptTypeShow() {
        return this.performDeptTypeShow;
    }
    /**
    * 设置 实施主体性质
    * @param performDeptTypeShow
    */
    public void setPerformDeptTypeShow(String performDeptTypeShow) {
        this.performDeptTypeShow = performDeptTypeShow;
    }
    /**
    * 获取 法定办结时限
    * @return legalTimeLimitShow
    */
    public String getLegalTimeLimitShow() {
        return this.legalTimeLimitShow;
    }
    /**
    * 设置 法定办结时限
    * @param legalTimeLimitShow
    */
    public void setLegalTimeLimitShow(String legalTimeLimitShow) {
        this.legalTimeLimitShow = legalTimeLimitShow;
    }
    /**
    * 获取 承诺办结时限
    * @return promiseTimeLimitShow
    */
    public String getPromiseTimeLimitShow() {
        return this.promiseTimeLimitShow;
    }
    /**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShow
    */
    public void setPromiseTimeLimitShow(String promiseTimeLimitShow) {
        this.promiseTimeLimitShow = promiseTimeLimitShow;
    }
    /**
    * 获取 联审信息
    * @return jointReviewInfoShow
    */
    public String getJointReviewInfoShow() {
        return this.jointReviewInfoShow;
    }
    /**
    * 设置 联审信息
    * @param jointReviewInfoShow
    */
    public void setJointReviewInfoShow(String jointReviewInfoShow) {
        this.jointReviewInfoShow = jointReviewInfoShow;
    }
    /**
    * 获取 联办机构
    * @return jointInfoShow
    */
    public String getJointInfoShow() {
        return this.jointInfoShow;
    }
    /**
    * 设置 联办机构
    * @param jointInfoShow
    */
    public void setJointInfoShow(String jointInfoShow) {
        this.jointInfoShow = jointInfoShow;
    }
    /**
    * 获取 办理类型
    * @return doThingTypeShow
    */
    public String getDoThingTypeShow() {
        return this.doThingTypeShow;
    }
    /**
    * 设置 办理类型
    * @param doThingTypeShow
    */
    public void setDoThingTypeShow(String doThingTypeShow) {
        this.doThingTypeShow = doThingTypeShow;
    }
    /**
    * 获取 是否收费
    * @return isChargesShow
    */
    public String getIsChargesShow() {
        return this.isChargesShow;
    }
    /**
    * 设置 是否收费
    * @param isChargesShow
    */
    public void setIsChargesShow(String isChargesShow) {
        this.isChargesShow = isChargesShow;
    }
    /**
    * 获取 服务对象
    * @return appoveObjectShow
    */
    public String getAppoveObjectShow() {
        return this.appoveObjectShow;
    }
    /**
    * 设置 服务对象
    * @param appoveObjectShow
    */
    public void setAppoveObjectShow(String appoveObjectShow) {
        this.appoveObjectShow = appoveObjectShow;
    }
    /**
    * 获取 办件类型
    * @return appoveTimeLimitShow
    */
    public String getAppoveTimeLimitShow() {
        return this.appoveTimeLimitShow;
    }
    /**
    * 设置 办件类型
    * @param appoveTimeLimitShow
    */
    public void setAppoveTimeLimitShow(String appoveTimeLimitShow) {
        this.appoveTimeLimitShow = appoveTimeLimitShow;
    }
    /**
    * 获取 是否进驻中心
    * @return goveServiceCenterShow
    */
    public String getGoveServiceCenterShow() {
        return this.goveServiceCenterShow;
    }
    /**
    * 设置 是否进驻中心
    * @param goveServiceCenterShow
    */
    public void setGoveServiceCenterShow(String goveServiceCenterShow) {
        this.goveServiceCenterShow = goveServiceCenterShow;
    }
    /**
    * 获取 是否纳入政务服务中心
    * @return isGoveCenterShow
    */
    public String getIsGoveCenterShow() {
        return this.isGoveCenterShow;
    }
    /**
    * 设置 是否纳入政务服务中心
    * @param isGoveCenterShow
    */
    public void setIsGoveCenterShow(String isGoveCenterShow) {
        this.isGoveCenterShow = isGoveCenterShow;
    }
    /**
    * 获取 是否纳入便民服务中心
    * @return isConvenientCenterShow
    */
    public String getIsConvenientCenterShow() {
        return this.isConvenientCenterShow;
    }
    /**
    * 设置 是否纳入便民服务中心
    * @param isConvenientCenterShow
    */
    public void setIsConvenientCenterShow(String isConvenientCenterShow) {
        this.isConvenientCenterShow = isConvenientCenterShow;
    }
    /**
    * 获取 公示时限
    * @return pubTimeShow
    */
    public String getPubTimeShow() {
        return this.pubTimeShow;
    }
    /**
    * 设置 公示时限
    * @param pubTimeShow
    */
    public void setPubTimeShow(String pubTimeShow) {
        this.pubTimeShow = pubTimeShow;
    }
    /**
    * 获取 认证等级需求
    * @return certificationLevelsShow
    */
    public String getCertificationLevelsShow() {
        return this.certificationLevelsShow;
    }
    /**
    * 设置 认证等级需求
    * @param certificationLevelsShow
    */
    public void setCertificationLevelsShow(String certificationLevelsShow) {
        this.certificationLevelsShow = certificationLevelsShow;
    }
    /**
    * 获取 是否网上预约(窗口办
    * @return isOnlineSubscribeShow
    */
    public String getIsOnlineSubscribeShow() {
        return this.isOnlineSubscribeShow;
    }
    /**
    * 设置 是否网上预约(窗口办
    * @param isOnlineSubscribeShow
    */
    public void setIsOnlineSubscribeShow(String isOnlineSubscribeShow) {
        this.isOnlineSubscribeShow = isOnlineSubscribeShow;
    }
    /**
    * 获取 网上支付
    * @return isOnlinePayShow
    */
    public String getIsOnlinePayShow() {
        return this.isOnlinePayShow;
    }
    /**
    * 设置 网上支付
    * @param isOnlinePayShow
    */
    public void setIsOnlinePayShow(String isOnlinePayShow) {
        this.isOnlinePayShow = isOnlinePayShow;
    }
    /**
    * 获取 物流快递(窗口办理选
    * @return isExpressTakeShow
    */
    public String getIsExpressTakeShow() {
        return this.isExpressTakeShow;
    }
    /**
    * 设置 物流快递(窗口办理选
    * @param isExpressTakeShow
    */
    public void setIsExpressTakeShow(String isExpressTakeShow) {
        this.isExpressTakeShow = isExpressTakeShow;
    }
    /**
    * 获取 物流快递(网上办理选
    * @return isExpressTakeOnlineShow
    */
    public String getIsExpressTakeOnlineShow() {
        return this.isExpressTakeOnlineShow;
    }
    /**
    * 设置 物流快递(网上办理选
    * @param isExpressTakeOnlineShow
    */
    public void setIsExpressTakeOnlineShow(String isExpressTakeOnlineShow) {
        this.isExpressTakeOnlineShow = isExpressTakeOnlineShow;
    }
    /**
    * 获取 咨询电话
    * @return cousultingTelephoneShow
    */
    public String getCousultingTelephoneShow() {
        return this.cousultingTelephoneShow;
    }
    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShow
    */
    public void setCousultingTelephoneShow(String cousultingTelephoneShow) {
        this.cousultingTelephoneShow = cousultingTelephoneShow;
    }
    /**
    * 获取 投诉电话
    * @return supervisoryTelephoneShow
    */
    public String getSupervisoryTelephoneShow() {
        return this.supervisoryTelephoneShow;
    }
    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShow
    */
    public void setSupervisoryTelephoneShow(String supervisoryTelephoneShow) {
        this.supervisoryTelephoneShow = supervisoryTelephoneShow;
    }
    /**
    * 获取 办公时间
    * @return handleTimeShow
    */
    public String getHandleTimeShow() {
        return this.handleTimeShow;
    }
    /**
    * 设置 办公时间
    * @param handleTimeShow
    */
    public void setHandleTimeShow(String handleTimeShow) {
        this.handleTimeShow = handleTimeShow;
    }
    /**
    * 获取 办公地址
    * @return handlePlaceShow
    */
    public String getHandlePlaceShow() {
        return this.handlePlaceShow;
    }
    /**
    * 设置 办公地址
    * @param handlePlaceShow
    */
    public void setHandlePlaceShow(String handlePlaceShow) {
        this.handlePlaceShow = handlePlaceShow;
    }
    /**
    * 获取 节日类型
    * @return daysTypeShow
    */
    public String getDaysTypeShow() {
        return this.daysTypeShow;
    }
    /**
    * 设置 节日类型
    * @param daysTypeShow
    */
    public void setDaysTypeShow(String daysTypeShow) {
        this.daysTypeShow = daysTypeShow;
    }
    /**
    * 获取 是否支持上门收取申请
    * @return isDoorTakeShow
    */
    public String getIsDoorTakeShow() {
        return this.isDoorTakeShow;
    }
    /**
    * 设置 是否支持上门收取申请
    * @param isDoorTakeShow
    */
    public void setIsDoorTakeShow(String isDoorTakeShow) {
        this.isDoorTakeShow = isDoorTakeShow;
    }
    /**
    * 获取 行业
    * @return tradeShow
    */
    public String getTradeShow() {
        return this.tradeShow;
    }
    /**
    * 设置 行业
    * @param tradeShow
    */
    public void setTradeShow(String tradeShow) {
        this.tradeShow = tradeShow;
    }
    /**
    * 获取 是否支持全省范围就近
    * @return isApplyProvinceShow
    */
    public String getIsApplyProvinceShow() {
        return this.isApplyProvinceShow;
    }
    /**
    * 设置 是否支持全省范围就近
    * @param isApplyProvinceShow
    */
    public void setIsApplyProvinceShow(String isApplyProvinceShow) {
        this.isApplyProvinceShow = isApplyProvinceShow;
    }
    /**
    * 获取 是否支持全省范围就近
    * @return isProvinceAcquisitionShow
    */
    public String getIsProvinceAcquisitionShow() {
        return this.isProvinceAcquisitionShow;
    }
    /**
    * 设置 是否支持全省范围就近
    * @param isProvinceAcquisitionShow
    */
    public void setIsProvinceAcquisitionShow(String isProvinceAcquisitionShow) {
        this.isProvinceAcquisitionShow = isProvinceAcquisitionShow;
    }
    /**
    * 获取 事项来源
    * @return eventSourceShow
    */
    public String getEventSourceShow() {
        return this.eventSourceShow;
    }
    /**
    * 设置 事项来源
    * @param eventSourceShow
    */
    public void setEventSourceShow(String eventSourceShow) {
        this.eventSourceShow = eventSourceShow;
    }
    /**
    * 获取 权力来源 
    * @return powerSourceShow
    */
    public String getPowerSourceShow() {
        return this.powerSourceShow;
    }
    /**
    * 设置 权力来源 
    * @param powerSourceShow
    */
    public void setPowerSourceShow(String powerSourceShow) {
        this.powerSourceShow = powerSourceShow;
    }
    /**
    * 获取 通办范围 
    * @return operatScopeShow
    */
    public String getOperatScopeShow() {
        return this.operatScopeShow;
    }
    /**
    * 设置 通办范围 
    * @param operatScopeShow
    */
    public void setOperatScopeShow(String operatScopeShow) {
        this.operatScopeShow = operatScopeShow;
    }
    /**
    * 获取 审批结果类型
    * @return applyresultTypeShow
    */
    public String getApplyresultTypeShow() {
        return this.applyresultTypeShow;
    }
    /**
    * 设置 审批结果类型
    * @param applyresultTypeShow
    */
    public void setApplyresultTypeShow(String applyresultTypeShow) {
        this.applyresultTypeShow = applyresultTypeShow;
    }
    /**
    * 获取 审查类型
    * @return typeOfReview
    */
    public String getTypeOfReview() {
        return this.typeOfReview;
    }
    /**
    * 设置 审查类型
    * @param typeOfReview
    */
    public void setTypeOfReview(String typeOfReview) {
        this.typeOfReview = typeOfReview;
    }
    /**
    * 获取 实施机构
    * @return enforcement
    */
    public String getEnforcement() {
        return this.enforcement;
    }
    /**
    * 设置 实施机构
    * @param enforcement
    */
    public void setEnforcement(String enforcement) {
        this.enforcement = enforcement;
    }
    /**
    * 获取 委托部门
    * @return entrustmentDepartmen
    */
    public String getEntrustmentDepartmen() {
        return this.entrustmentDepartmen;
    }
    /**
    * 设置 委托部门
    * @param entrustmentDepartmen
    */
    public void setEntrustmentDepartmen(String entrustmentDepartmen) {
        this.entrustmentDepartmen = entrustmentDepartmen;
    }
    /**
    * 获取 服务主题分类
    * @return serviceClassification
    */
    public String getServiceClassification() {
        return this.serviceClassification;
    }
    /**
    * 设置 服务主题分类
    * @param serviceClassification
    */
    public void setServiceClassification(String serviceClassification) {
        this.serviceClassification = serviceClassification;
    }
    /**
    * 获取 许可数量
    * @return licenseNumber
    */
    public String getLicenseNumber() {
        return this.licenseNumber;
    }
    /**
    * 设置 许可数量
    * @param licenseNumber
    */
    public void setLicenseNumber(String licenseNumber) {
        this.licenseNumber = licenseNumber;
    }
    /**
    * 获取 通办范围
    * @return specialProcedure
    */
    public String getSpecialProcedure() {
        return this.specialProcedure;
    }
    /**
    * 设置 通办范围
    * @param specialProcedure
    */
    public void setSpecialProcedure(String specialProcedure) {
        this.specialProcedure = specialProcedure;
    }
    /**
    * 获取 办事者到办理现场次数
    * @return number
    */
    public Integer getNumber() {
        return this.number;
    }
    /**
    * 设置 办事者到办理现场次数
    * @param number
    */
    public void setNumber(Integer number) {
        this.number = number;
    }
    /**
    * 获取 办理查询
    * @return inquire
    */
    public String getInquire() {
        return this.inquire;
    }
    /**
    * 设置 办理查询
    * @param inquire
    */
    public void setInquire(String inquire) {
        this.inquire = inquire;
    }
    /**
    * 获取 办理结果名称
    * @return handlingresultNames
    */
    public String getHandlingresultNames() {
        return this.handlingresultNames;
    }
    /**
    * 设置 办理结果名称
    * @param handlingresultNames
    */
    public void setHandlingresultNames(String handlingresultNames) {
        this.handlingresultNames = handlingresultNames;
    }
    /**
    * 获取 审批结果样本
    * @return sampleApprovalResults
    */
    public String getSampleApprovalResults() {
        return this.sampleApprovalResults;
    }
    /**
    * 设置 审批结果样本
    * @param sampleApprovalResults
    */
    public void setSampleApprovalResults(String sampleApprovalResults) {
        this.sampleApprovalResults = sampleApprovalResults;
    }
    /**
    * 获取 排序
    * @return sort
    */
    public Integer getSort() {
        return this.sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort) {
        this.sort = sort;
    }
    /**
    * 获取 是否样表展示1是 0否
    * @return mattertype
    */
    public Integer getMattertype() {
        return this.mattertype;
    }
    /**
    * 设置 是否样表展示1是 0否
    * @param mattertype
    */
    public void setMattertype(Integer mattertype) {
        this.mattertype = mattertype;
    }
    /**
    * 获取 
    * @return clicknum
    */
    public Long getClicknum() {
        return this.clicknum;
    }
    /**
    * 设置 
    * @param clicknum
    */
    public void setClicknum(Long clicknum) {
        this.clicknum = clicknum;
    }
    /**
    * 获取 实施主题
    * @return performDeptName
    */
    public String getPerformDeptName() {
        return this.performDeptName;
    }
    /**
    * 设置 实施主题
    * @param performDeptName
    */
    public void setPerformDeptName(String performDeptName) {
        this.performDeptName = performDeptName;
    }
    /**
    * 获取 html存储地址
    * @return html
    */
    public String getHtml() {
        return this.html;
    }
    /**
    * 设置 html存储地址
    * @param html
    */
    public void setHtml(String html) {
        this.html = html;
    }
    /**
    * 获取 全债清单类型
    * @return eventType
    */
    public String getEventType() {
        return this.eventType;
    }
    /**
    * 设置 全债清单类型
    * @param eventType
    */
    public void setEventType(String eventType) {
        this.eventType = eventType;
    }
    /**
    * 获取 
    * @return shardKey
    */
    public Integer getShardKey() {
        return this.shardKey;
    }
    /**
    * 设置 
    * @param shardKey
    */
    public void setShardKey(Integer shardKey) {
        this.shardKey = shardKey;
    }
    /**
    * 获取 个人1
    * @return parson
    */
    public Integer getParson() {
        return this.parson;
    }
    /**
    * 设置 个人1
    * @param parson
    */
    public void setParson(Integer parson) {
        this.parson = parson;
    }
    /**
    * 获取 法人 1
    * @return lengal
    */
    public Integer getLengal() {
        return this.lengal;
    }
    /**
    * 设置 法人 1
    * @param lengal
    */
    public void setLengal(Integer lengal) {
        this.lengal = lengal;
    }
    /**
    * 获取 总材料说明
    * @return materialRemark
    */
    public String getMaterialRemark() {
        return this.materialRemark;
    }
    /**
    * 设置 总材料说明
    * @param materialRemark
    */
    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }
    /**
    * 获取 网办类型
    * @return onlineType
    */
    public String getOnlineType() {
        return this.onlineType;
    }
    /**
    * 设置 网办类型
    * @param onlineType
    */
    public void setOnlineType(String onlineType) {
        this.onlineType = onlineType;
    }
    /**
    * 获取 事项二维码
    * @return codeurl
    */
    public String getCodeurl() {
        return this.codeurl;
    }
    /**
    * 设置 事项二维码
    * @param codeurl
    */
    public void setCodeurl(String codeurl) {
        this.codeurl = codeurl;
    }
    /**
    * 获取 英语事项名
    * @return englishName
    */
    public String getEnglishName() {
        return this.englishName;
    }
    /**
    * 设置 英语事项名
    * @param englishName
    */
    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }
    /**
    * 获取 行使方式
    * @return applyObject
    */
    public String getApplyObject() {
        return this.applyObject;
    }
    /**
    * 设置 行使方式
    * @param applyObject
    */
    public void setApplyObject(String applyObject) {
        this.applyObject = applyObject;
    }
    /**
    * 获取 行使方式
    * @return isUniteAccept
    */
    public String getIsUniteAccept() {
        return this.isUniteAccept;
    }
    /**
    * 设置 行使方式
    * @param isUniteAccept
    */
    public void setIsUniteAccept(String isUniteAccept) {
        this.isUniteAccept = isUniteAccept;
    }
    /**
    * 获取 法定办结时限说明
    * @return legalTimeLimitInfo
    */
    public String getLegalTimeLimitInfo() {
        return this.legalTimeLimitInfo;
    }
    /**
    * 设置 法定办结时限说明
    * @param legalTimeLimitInfo
    */
    public void setLegalTimeLimitInfo(String legalTimeLimitInfo) {
        this.legalTimeLimitInfo = legalTimeLimitInfo;
    }
    /**
    * 获取 承诺办结时限说明
    * @return promiseTimeLimitInfo
    */
    public String getPromiseTimeLimitInfo() {
        return this.promiseTimeLimitInfo;
    }
    /**
    * 设置 承诺办结时限说明
    * @param promiseTimeLimitInfo
    */
    public void setPromiseTimeLimitInfo(String promiseTimeLimitInfo) {
        this.promiseTimeLimitInfo = promiseTimeLimitInfo;
    }
    /**
    * 获取 事项状态
    * @return valid
    */
    public String getValid() {
        return this.valid;
    }
    /**
    * 设置 事项状态
    * @param valid
    */
    public void setValid(String valid) {
        this.valid = valid;
    }
    /**
    * 获取 收费标准及依据
    * @return chargesShow
    */
    public String getChargesShow() {
        return this.chargesShow;
    }
    /**
    * 设置 收费标准及依据
    * @param chargesShow
    */
    public void setChargesShow(String chargesShow) {
        this.chargesShow = chargesShow;
    }
    /**
    * 获取 是否乡镇 1是
    * @return istown
    */
    public Integer getIstown() {
        return this.istown;
    }
    /**
    * 设置 是否乡镇 1是
    * @param istown
    */
    public void setIstown(Integer istown) {
        this.istown = istown;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthMatterEntity) {
            YthMatterEntity tmp = (YthMatterEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",tid:").append(getTid())
                .append(",tcode:").append(getTcode())
                .append(",tname:").append(getTname())
                .append(",deptcode:").append(getDeptcode())
                .append(",type:").append(getType())
                .append(",dirListCode:").append(getDirListCode())
                .append(",eventTypeShow:").append(getEventTypeShow())
                .append(",performHierarchyShow:").append(getPerformHierarchyShow())
                .append(",runSystemShow:").append(getRunSystemShow())
                .append(",performDeptTypeShow:").append(getPerformDeptTypeShow())
                .append(",legalTimeLimitShow:").append(getLegalTimeLimitShow())
                .append(",promiseTimeLimitShow:").append(getPromiseTimeLimitShow())
                .append(",jointReviewInfoShow:").append(getJointReviewInfoShow())
                .append(",jointInfoShow:").append(getJointInfoShow())
                .append(",doThingTypeShow:").append(getDoThingTypeShow())
                .append(",isChargesShow:").append(getIsChargesShow())
                .append(",appoveObjectShow:").append(getAppoveObjectShow())
                .append(",appoveTimeLimitShow:").append(getAppoveTimeLimitShow())
                .append(",goveServiceCenterShow:").append(getGoveServiceCenterShow())
                .append(",isGoveCenterShow:").append(getIsGoveCenterShow())
                .append(",isConvenientCenterShow:").append(getIsConvenientCenterShow())
                .append(",pubTimeShow:").append(getPubTimeShow())
                .append(",certificationLevelsShow:").append(getCertificationLevelsShow())
                .append(",isOnlineSubscribeShow:").append(getIsOnlineSubscribeShow())
                .append(",isOnlinePayShow:").append(getIsOnlinePayShow())
                .append(",isExpressTakeShow:").append(getIsExpressTakeShow())
                .append(",isExpressTakeOnlineShow:").append(getIsExpressTakeOnlineShow())
                .append(",cousultingTelephoneShow:").append(getCousultingTelephoneShow())
                .append(",supervisoryTelephoneShow:").append(getSupervisoryTelephoneShow())
                .append(",handleTimeShow:").append(getHandleTimeShow())
                .append(",handlePlaceShow:").append(getHandlePlaceShow())
                .append(",daysTypeShow:").append(getDaysTypeShow())
                .append(",isDoorTakeShow:").append(getIsDoorTakeShow())
                .append(",tradeShow:").append(getTradeShow())
                .append(",isApplyProvinceShow:").append(getIsApplyProvinceShow())
                .append(",isProvinceAcquisitionShow:").append(getIsProvinceAcquisitionShow())
                .append(",eventSourceShow:").append(getEventSourceShow())
                .append(",powerSourceShow:").append(getPowerSourceShow())
                .append(",operatScopeShow:").append(getOperatScopeShow())
                .append(",applyresultTypeShow:").append(getApplyresultTypeShow())
                .append(",typeOfReview:").append(getTypeOfReview())
                .append(",enforcement:").append(getEnforcement())
                .append(",entrustmentDepartmen:").append(getEntrustmentDepartmen())
                .append(",serviceClassification:").append(getServiceClassification())
                .append(",licenseNumber:").append(getLicenseNumber())
                .append(",specialProcedure:").append(getSpecialProcedure())
                .append(",number:").append(getNumber())
                .append(",inquire:").append(getInquire())
                .append(",handlingresultNames:").append(getHandlingresultNames())
                .append(",sampleApprovalResults:").append(getSampleApprovalResults())
                .append(",sort:").append(getSort())
                .append(",mattertype:").append(getMattertype())
                .append(",clicknum:").append(getClicknum())
                .append(",performDeptName:").append(getPerformDeptName())
                .append(",html:").append(getHtml())
                .append(",eventType:").append(getEventType())
                .append(",shardKey:").append(getShardKey())
                .append(",parson:").append(getParson())
                .append(",lengal:").append(getLengal())
                .append(",materialRemark:").append(getMaterialRemark())
                .append(",onlineType:").append(getOnlineType())
                .append(",codeurl:").append(getCodeurl())
                .append(",englishName:").append(getEnglishName())
                .append(",applyObject:").append(getApplyObject())
                .append(",isUniteAccept:").append(getIsUniteAccept())
                .append(",legalTimeLimitInfo:").append(getLegalTimeLimitInfo())
                .append(",promiseTimeLimitInfo:").append(getPromiseTimeLimitInfo())
                .append(",valid:").append(getValid())
                .append(",chargesShow:").append(getChargesShow())
                .append(",istown:").append(getIstown())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.tid = null;

         this.tcode = null;

         this.tname = null;

         this.deptcode = null;

         this.type = null;

         this.dirListCode = null;

         this.eventTypeShow = null;

         this.performHierarchyShow = null;

         this.runSystemShow = null;

         this.performDeptTypeShow = null;

         this.legalTimeLimitShow = null;

         this.promiseTimeLimitShow = null;

         this.jointReviewInfoShow = null;

         this.jointInfoShow = null;

         this.doThingTypeShow = null;

         this.isChargesShow = null;

         this.appoveObjectShow = null;

         this.appoveTimeLimitShow = null;

         this.goveServiceCenterShow = null;

         this.isGoveCenterShow = null;

         this.isConvenientCenterShow = null;

         this.pubTimeShow = null;

         this.certificationLevelsShow = null;

         this.isOnlineSubscribeShow = null;

         this.isOnlinePayShow = null;

         this.isExpressTakeShow = null;

         this.isExpressTakeOnlineShow = null;

         this.cousultingTelephoneShow = null;

         this.supervisoryTelephoneShow = null;

         this.handleTimeShow = null;

         this.handlePlaceShow = null;

         this.daysTypeShow = null;

         this.isDoorTakeShow = null;

         this.tradeShow = null;

         this.isApplyProvinceShow = null;

         this.isProvinceAcquisitionShow = null;

         this.eventSourceShow = null;

         this.powerSourceShow = null;

         this.operatScopeShow = null;

         this.applyresultTypeShow = null;

         this.typeOfReview = null;

         this.enforcement = null;

         this.entrustmentDepartmen = null;

         this.serviceClassification = null;

         this.licenseNumber = null;

         this.specialProcedure = null;

         this.number = null;

         this.inquire = null;

         this.handlingresultNames = null;

         this.sampleApprovalResults = null;

         this.sort = null;

         this.mattertype = null;

         this.clicknum = null;

         this.performDeptName = null;

         this.html = null;

         this.eventType = null;

         this.shardKey = null;

         this.parson = null;

         this.lengal = null;

         this.materialRemark = null;

         this.onlineType = null;

         this.codeurl = null;

         this.englishName = null;

         this.applyObject = null;

         this.isUniteAccept = null;

         this.legalTimeLimitInfo = null;

         this.promiseTimeLimitInfo = null;

         this.valid = null;

         this.chargesShow = null;

         this.istown = null;

         this.createTime = null;

         this.createUser = null;

    }
}